<?php

namespace App\Filament\Resources\Users\Schemas;

use Filament\Infolists\Components\TextEntry;
use Filament\Schemas\Schema;

class UserInfolist
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextEntry::make('name')
                    ->label(__('hr.fields.name')),
                TextEntry::make('email')
                    ->label(__('hr.fields.email_address')),
                TextEntry::make('email_verified_at')
                    ->label(__('hr.fields.email_verified_at'))
                    ->dateTime()
                    ->placeholder('-'),
                TextEntry::make('created_at')
                    ->label(__('hr.fields.created_at'))
                    ->dateTime()
                    ->placeholder('-'),
                TextEntry::make('updated_at')
                    ->label(__('hr.fields.updated_at'))
                    ->dateTime()
                    ->placeholder('-'),
                TextEntry::make('department.name')
                    ->label(__('hr.fields.department'))
                    ->placeholder('-'),
            ]);
    }
}
